## org.codehaus.groovy.grails.webflow.executor.support
Class GrailsConventionsFlowExecutorArgumentHandler

    java.lang.Object
      org.springframework.webflow.executor.support.FlowExecutorArgumentHandler
          org.springframework.webflow.executor.support.RequestParameterFlowExecutorArgumentHandler
              org.codehaus.groovy.grails.webflow.executor.support.GrailsConventionsFlowExecutorArgumentHandler

All Implemented Interfaces:
  org.springframework.webflow.executor.support.FlowExecutorArgumentExposer, org.springframework.webflow.executor.support.FlowExecutorArgumentExtractor

    public class GrailsConventionsFlowExecutorArgumentHandler

extends org.springframework.webflow.executor.support.RequestParameterFlowExecutorArgumentHandler

A FlowExecutorArgumentHandler that extracts the flowId and flowExecutionId from Grails' action name and id parameters

Since:
  0.6

  Created: Jul 3, 2007 Time: 8:46:54 AM
Author:
  Graeme Rocher

Constructor Summary
`GrailsConventionsFlowExecutorArgumentHandler(GrailsWebRequest webRequest)`

Method Summary
`String` `extractFlowId(org.springframework.webflow.context.ExternalContext context)`
`boolean` `isFlowIdPresent(org.springframework.webflow.context.ExternalContext context)`

Methods inherited from class org.springframework.webflow.executor.support.RequestParameterFlowExecutorArgumentHandler
`appendFlowExecutorPath, appendQueryParameter, appendQueryParameters, createExternalUrl, createFlowDefinitionUrl, createFlowExecutionUrl, extractEventId, extractFlowExecutionKey, findParameter, getParameterValueDelimiter, isEventIdPresent, isFlowExecutionKeyPresent, setParameterValueDelimiter`

Methods inherited from class org.springframework.webflow.executor.support.FlowExecutorArgumentHandler

`applyDefaultFlowId, encodeValue, exposeFlowExecutionContext, getDefaultFlowId, getEventIdArgumentName, getFlowExecutionContextAttributeName, getFlowExecutionKeyArgumentName, getFlowExecutionKeyAttributeName, getFlowIdArgumentName, getUrlEncodingScheme, isRedirectContextRelative, makeRedirectUrlContextRelativeIfNecessary, setDefaultFlowId, setEventIdArgumentName, setFlowExecutionContextAttributeName, setFlowExecutionKeyArgumentName, setFlowExecutionKeyAttributeName, setFlowIdArgumentName, setRedirectContextRelative, setUrlEncodingScheme`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GrailsConventionsFlowExecutorArgumentHandler

    public GrailsConventionsFlowExecutorArgumentHandler(GrailsWebRequest webRequest)

Method Detail

### isFlowIdPresent

    public boolean isFlowIdPresent(org.springframework.webflow.context.ExternalContext context)

  Specified by:
    `isFlowIdPresent` in interface `org.springframework.webflow.executor.support.FlowExecutorArgumentExtractor`
  Overrides:
    `isFlowIdPresent` in class `org.springframework.webflow.executor.support.RequestParameterFlowExecutorArgumentHandler`

### extractFlowId

    public String extractFlowId(org.springframework.webflow.context.ExternalContext context)
                         throws org.springframework.webflow.executor.support.FlowExecutorArgumentExtractionException

  Specified by:
    `extractFlowId` in interface `org.springframework.webflow.executor.support.FlowExecutorArgumentExtractor`
  Overrides:
    `extractFlowId` in class `org.springframework.webflow.executor.support.RequestParameterFlowExecutorArgumentHandler`
  Throws:
    `org.springframework.webflow.executor.support.FlowExecutorArgumentExtractionException`

Copyright (c) 2005-2006 The Grails project